* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #ffa600;
    background-size: 400% 400%;
    animation: gradient 55s ease infinite;
    height: 100vh;
    font-family: "Tiny5", serif;
    overflow-x: hidden;
    overflow-y: scroll;
    box-shadow: inset 0 0 10px rgba(0, 0, 0, 0.5);
}

body::-webkit-scrollbar {
    width: 0;
    background: transparent;
}

h1 {
    font-size: 4rem;
    font-family: "Tiny5", serif;
    line-height: 4rem;
}

h9 {
    font-size: 1.5rem;
    font-family: "Tiny5", serif;
}

a {
  color: white;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

header {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
    padding: 10px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: top;
}



.logo {
    width: 128px;
    height: 128px;
    border: 1px solid #ffffff;
    border-radius: 3px;
    box-shadow: rgba(0, 0, 0, 0.56) 0px 22px 70px 4px;
    background-color: #1a55f7;
}

.opposite-logo {
    width: 64px;
    height: 64px;
    border: 1px solid #ffffff;
    border-radius: 3px;
    box-shadow: rgba(0, 0, 0, 0.56) 0px 11px 35px 2px;
    padding: 10px;
    background-color: #1a55f7;
    transition: all 0.2s ease-in-out;
}

.opposite-logo:hover {
    scale: 0.95;
    transition: all 0.1s ease-in-out;
    border: 1px solid #ffffff;
    box-shadow: rgba(0, 0, 0, 0.76) 0px 11px 35px 2px;
}

.opposite-button {
    width: 128px;
    height: 64px;
    border: 1px solid #ffffff;
    font-size: 1.2rem;
    display: flex;
    justify-content: center; 
    align-items: center; 
    border-radius: 3px;
    box-shadow: rgba(0, 0, 0, 0.56) 0px 11px 35px 2px;
    padding: 10px;
    background-color: #1a55f7;
    transition: all 0.2s ease-in-out;
}

.opposite-button:hover {
    scale: 0.95;
    transition: all 0.1s ease-in-out;
    border: 1px solid #ffffff;
    box-shadow: rgba(0, 0, 0, 0.76) 0px 11px 35px 2px;
}

.wadada {
    position: absolute;
    bottom: 10px;
    right: 10px;
    color: #fff;
    z-index: 10;
    font-size: 18px;
}

.nftcal {
    position: absolute;
    bottom: 0px;
    left: 10px;
    z-index: 10;
    font-size: 18px;
    text-align: center;
  }
  
  .nftcal_text {
    color: white;
    font-size: 18px;
    margin-bottom: -15px;
  }
  
  .nftcal_img {
    width: 128px;
    height: 128px;
  }
  

.wrapper {
    scroll-snap-type: y mandatory;
    overflow-y: scroll;
    height: 100vh;
    width: 100%;
    position: relative;
    box-shadow: inset 0 0 10px rgba(0, 0, 0, 0.5);
}

.wrapper::-webkit-scrollbar {
    width: 0;
    background: transparent;
}

.button-container {
    text-align: center;
    margin-top: auto;
    bottom: 20px;
  }
  
  #enter-button, #enter-button-bots {
    background-color: #1a55f7;
    color: #ffffff;
    font-size: 2.5rem;
    padding: 10px 20px;
    border: 1px solid #ffffff;
    border-radius: 3px;
    cursor: pointer;
    font-family: "Tiny5", serif;
    transition: background-color 0.3s ease, transform 0.2s ease;
    margin-top: 3rem;
    width: 100%;
  }
  
  #enter-button:hover, #enter-button-bots:hover {
    background-color: #f7931a;
    transform: scale(1.05);
  }
  

.section {
    scroll-snap-align: start;
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 40px;
    color: #fff;
    position: relative;
}


.welcome {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.welcome-text {
    font-family: "Tiny5", serif;
    font-size: 8rem;
    font-weight: bold;
    color: #ffffff;
    text-align: center;
    line-height: 1.2;
    background: #0a27fdc8;
    max-width: 90%;
    padding: 50px;
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    border: 1px solid #ffffff;
    border-radius: 3px;
    box-shadow: rgba(0, 0, 0, 0.56) 0px 22px 70px 4px;
    display: inline-block;
    opacity: 0;
    transform: scale(0.8);
    animation: fadeInScale 1s ease-out forwards;
}

.mint {
    font-family: "Tiny5", serif;
    font-size: 8rem;
    font-weight: bold;
    color: #ffffff;
    text-align: center;
    line-height: 1.2;
    background: #0a27fdc8;
    max-width: 90%;
    padding: 50px;
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    border: 1px solid #ffffff;
    border-radius: 3px;
    box-shadow: rgba(0, 0, 0, 0.56) 0px 22px 70px 4px;
    display: inline-block;
    opacity: 0;
    transform: scale(0.8);
    animation: fadeInScale 1s ease-out forwards;
    transition: all 0.3s ease-in-out;

}

.mint:hover {
    scale: 0.95;
    transition: all 0.3s ease-in-out;

}


@keyframes fadeInScale {
    0% {
        opacity: 0;
        transform: scale(0.1);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}

.blinking {
    font-family: "Tiny5", serif;
    font-size: 8rem;
    font-weight: bold;
    color: rgb(255, 255, 255);
    animation: blink 0.5s steps(1, start) infinite;
    display: inline;
}

@keyframes blink {
    50% {
      opacity: 0;
    }
}

.content-block {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80%;
    flex-direction: row;
    gap: 20px;
}

.text-block {
    background: #0a27fdc8;
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    width: 70vh;
    height: 70vh;
    padding: 40px;
    font-size: 1.5rem;
    line-height: 1.4;
    font-family: "Pixelify Sans", serif;
    color: #ffffff;
    font-weight: 400;
    font-style: normal;
    overflow-y: auto;
    border: 1px solid #ffffff;
    border-radius: 3px;
    scrollbar-width: thin;
    scrollbar-color: #F7931A #fff;
    box-shadow: rgba(0, 0, 0, 0.56) 0px 22px 70px 4px;
    scale: 1;
    transition: all 0.3s ease-in-out;
    display: flex;
    flex-direction: column;
}

.text-block:hover {
    transition: all 0.3s ease-in-out;
}

.text-block::-webkit-scrollbar {
    width: 8px;
}

.text-block::-webkit-scrollbar-thumb {
    background-color: #F7931A;
    border-radius: 3px;
}

.text-block::-webkit-scrollbar-track {
    background-color: #ffffff;
}

.image-block {
    width: 70vh;
    height: 70vh;
    text-align: center;
    overflow: hidden;
    box-shadow: rgba(0, 0, 0, 0.56) 0px 22px 70px 4px;
    border-radius: 3px;
}

.image-block img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border: 1px solid #ffffff;
    border-radius: 3px;
}


#background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    overflow: hidden;
}

.robot {
    position: absolute;
    width: 20px;
    height: 20px;
    transition: transform 1s ease-out;
    will-change: transform;
}

.tile-grid {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(6, 1fr);
    gap: 10px;
    width: 100%;
    height: 100%;
    position: relative;
    padding: 10px;
}

.tile {
    width: 100%;
    height: 100%;
    background: #0a26fd00;
    position: relative;
    cursor: pointer;
    border-radius: 3px;
    perspective: 1000px;
}

.tile-inner {
    width: 100%;
    height: 100%;
    position: relative;
    transform-style: preserve-3d;
    transition: transform 0.5s ease;
    border-radius: 3px;
}

.tile-inner.flipped {
    transform: rotateY(180deg);
}

.tile .front,
.tile .back {
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 3px;
    backface-visibility: hidden;
}

.tile .front {
    background: #0a27fdc8;
    display: flex;
    justify-content: center;
    align-items: center;
}

.tile .front img {
    max-width: 30%;
    max-height: 30%;
    object-fit: contain;
}

.tile .back {
    background-size: contain;
    background-position: center;
    transform: rotateY(180deg);
    background-repeat: no-repeat;
}

.scroll-indicator {
    position: absolute;
    bottom: 50px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 3rem;
    animation: bounce 2s infinite;
    text-shadow:
        0 0 15px #ffffff,
        0 0 30px #ffffff,
        0 0 45px #ffffff,
        0 0 60px #ffffff,
        0 0 75px #ffffff,
        0 0 15px #ffffff,
        0 0 30px #ffffff,
        0 0 45px #ffffff,
        0 0 60px #ffffff,
        0 0 25px #ffffff,
        0 0 40px #ffffff,
        0 0 85px #ffffff,
        0 0 60px #ffffff,
        0 0 75px #ffffff;
}

@keyframes bounce {
    0%,20%,50%,80%,100% {transform: translateX(-50%) translateY(0);}
    40% {transform: translateX(-50%) translateY(-10px);}
    60% {transform: translateX(-50%) translateY(-5px);}
}


.rarity-check {
    width: 50%;
    max-height: 70vh;
    overflow-y: auto;
    margin: 20px auto;
    padding: 20px;
    background-color: rgba(10, 39, 253, 0.9);
    border: 1px solid #ffffff;
    border-radius: 3px;
    box-shadow: rgba(0, 0, 0, 0.56) 0px 22px 70px 4px;
    font-family: "Tiny5", serif;
    font-size: 1.5rem;
    color: #ffffff;
    text-align: center;
    backdrop-filter: blur(5px);
    scrollbar-width: thin; /* For Firefox */
    scrollbar-color: #f7931a #0a27fd; /* For Firefox */
    display: flex;
    justify-content: center;
    align-items: center; 
}

.rarity-check input {
    width: 50%;
    padding: 10px;
    margin: 10px 0;
    font-family: "Tiny5", serif;
    font-size: 1.2rem;
    border: 1px solid #ffffff;
    border-radius: 3px;
    outline: none;
    text-align: center;
    color: #0a27fd;
}

.rarity-block {
    width: 100%;
    max-height: 70vh;
    overflow-y: auto;
    margin: 20px auto;
    padding: 20px;
    background-color: rgba(10, 39, 253, 0.9);
    border: 1px solid #ffffff;
    border-radius: 3px;
    box-shadow: rgba(0, 0, 0, 0.56) 0px 22px 70px 4px;
    font-family: "Tiny5", serif;
    font-size: 1.5rem;
    color: #ffffff;
    text-align: center;
    backdrop-filter: blur(5px);
    scrollbar-width: thin; /* For Firefox */
    scrollbar-color: #f7931a #0a27fd; /* For Firefox */
}

.rarity-block::-webkit-scrollbar {
    width: 12px; /* Ширина скроллбара */
    height: 12px; /* Высота для горизонтального скроллбара (если нужен) */
}

.rarity-block::-webkit-scrollbar-track {
    background: rgba(255, 255, 255, 0.1); /* Цвет заднего трека */
    border-radius: 3px;
}

.rarity-block::-webkit-scrollbar-thumb {
    background: #f7931a; /* Цвет ползунка */
    border-radius: 3px; /* Скругление ползунка */
    border: 2px solid rgba(10, 39, 253, 0.9); /* Отступ ползунка */
}

.rarity-block::-webkit-scrollbar-thumb:hover {
    background: #ffa600; /* Цвет ползунка при наведении */
}


.rarity-block input {
    width: 50%;
    padding: 10px;
    margin: 10px 0;
    font-family: "Tiny5", serif;
    font-size: 1.2rem;
    border: 1px solid #ffffff;
    border-radius: 3px;
    outline: none;
    text-align: center;
    color: #0a27fd;
}

.rarity-block button {
    padding: 10px 20px;
    font-family: "Tiny5", serif;
    font-size: 1.2rem;
    border: none;
    border-radius: 3px;
    background-color: #f7931a;
    color: white;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.rarity-block button:hover {
    background-color: #d67c0d;
}


.rarity-block img {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
    width: 100%;
    height: auto;
    border: 1px solid #ffffff;
    border-radius: 3px;
    object-fit: cover;
}



#results {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr)); /* Dynamic columns */
    gap: 20px;
    padding: 20px;
}

.token {
    background: rgba(10, 39, 253, 0.9);
    padding: 10px;
    border-radius: 3%;
    text-align: center;
    box-shadow: rgba(0, 0, 0, 0.56) 0px 22px 70px 4px;
    transition: transform 0.3s ease;
}

.token:hover {
    transform: scale(1.05);
}

.token img {
    width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 3px;
}



.carousel {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.carousel-item {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}


.carousel-item img {
    max-width: 100%;
    max-height: 100%;
}

.carousel-item .caption {
    position: absolute;
    bottom: 10px;
    right: 10px;
    /* background: rgba(10, 39, 253, 0.9); */
    color: white;
    padding: 5px 10px;
    border-radius: 3px;
    font-size: 2rem;
}


.maze-block {
position: relative;
  top: 20px;
  left: 20px;
  color: white;
  font-size: 3rem;
  z-index: 1; /* Ensure the text is above the image */
  background: rgba(255, 255, 255, 0); /* Add a transparent background to improve readability */
  padding: 10px;
  border-radius: 5px;
  height: 70vh;
text-align: left;
}

#glb-container-maze {
    background-image: url('/img/maze.png');
    background-size: cover;
    background-position: center;
    width: 100%;
    height: 100%;
    position: relative; /* Set the position relative for absolute children */
  }
  
  .enter-button {
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 2; /* Ensure the button is above the image */
  }
  
  #enter-button-maze {
    background-color: #1a55f7;
    color: white;
    padding: 15px 30px;
    border-radius: 3px;
    border: 1px solid #fff;
    font-size: 2.5rem;
    cursor: pointer;
    transition: background-color 0.3s ease;
    width: 70vw;
    font-family: "Tiny5", serif;
  }
  
  #enter-button-maze:hover {
    background-color: #f7931a;
  }

@media (max-width: 768px) {

    .wrapper .section:first-of-type {
        padding-top: 140px;
    }

    .section {
        padding: 20px;
    }

    header {
        padding: 10px 20px;
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    
    .logo {
        width: 80px;
        height: 80px;
        margin-left: 20px;
        margin-right: 20px;
    }

    .opposite-logo {
        width: 60px;
        height: 60px;
        margin-right: 20px;
        padding: 15px;
        margin-left: 20px;
    }

.opposite-button {
  min-width: max-content;
}

    .content-block {
        flex-direction: column;
        width: 90%;
        gap: 10px;
    }
    .text-block {
        width: 100%;
        max-height: 50vh;
        padding: 20px;
        font-size: 1rem;
        overflow-y: auto;
        margin-top: auto;
        line-height: 1.5rem;
        padding-left: 30px;
    }

    h9 {
        font-size: 1.2rem;
    }

    #enter-button, #enter-button-bots {
        max-height: 40px;
        font-size: 1rem;
        margin-top: 1rem;
        width: 100%;
    }

    .image-block {
        width: 100%;
        aspect-ratio: 1 / 1;
        height: auto;
        padding: 0;
        position: relative;
    }
    .image-block img {
        position: absolute;
        top: 50%;
        left: 50%;
        width: 100%;
        height: 100%;
        object-fit: cover;
        transform: translate(-50%, -50%);
    }
    .welcome-text {
        font-size: 2.5rem;
        max-width: 100%;
        padding: 20px;
    }

    .mint {
        font-size: 2.5rem;
        max-width: 100%;
        padding: 20px;
        margin-top: 30%;
    }


    .blinking {
        font-size: 2.5rem;
    }
    .wadada {
        position: absolute;
        bottom: 10;
        right: 25px;
        transform: rotate(90deg);
        transform-origin: bottom right;
    }


    .nftcal {
        display: none;
    }


    h1 {
        font-size: 2.5rem;
        line-height: 2.5rem;
    }
    .tile-grid {
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(3, 1fr);
        gap: 10px;
        aspect-ratio: 1 / 1;
    }
    .tile img {
        display: block;
        margin: 0 auto;
    }
    .tile {
        aspect-ratio: 1 / 1;
        width: 100%;
        height: auto;
    }
    .robot {
        width: 30px;
        height: 30px;
    }
    .scroll-indicator {
        display: none;
        /* font-size: 2rem;
        top: 70%; */
    }
    .text-block h1 {
        font-size: 2rem;
    }
    #background {
        transform: scale(1);
    }

    .rarity-block {
        padding: 15px;
        width: 99%;
        height: auto;
    }

    .rarity-block input {
        font-size: 1rem;
    }

    .rarity-block button {
        font-size: 1rem;
    }
}

@media (max-width: 768px) {
    .section {
        height: auto;
    }
    .content-block {
        scroll-snap-type: y mandatory;
    }

    .welcome-text {
        margin-top: 30%;
    }

    .text-block,
    .image-block {
        width: 100%;
        height: auto;
        scroll-snap-align: start;
    }

    .rarity-check {
        width: 100%; 
        height: 100%; 
        padding: 15px;
        padding-top: auto;
        font-size: 1.2rem; 
        border-radius: 5px;
        overflow-y: auto; 
    }

    .checker input {
        width: 100%; 
        padding: 8px;
        font-size: 1.5rem; 
    }

    .checker div {
        margin-top: 15px;
        font-size: 1.5rem; 
    }

    #results {
        grid-template-columns: repeat(auto-fill, minmax(150px, 1fr)); /* Smaller columns for mobile */
        
    }
    .token {
        padding: 15px;
        font-size: 1rem;
    }
    .token img {
        max-width: 100%;
    }
}